
Colony - Task #1534

Add Line Following to Library

10/22/2010 05:34 PM - Alex Zirbel

Status: Assigned Start date: 10/22/2010

Priority: High Due date:  

Assignee: Ben Wasserman % Done: 70%

Category: Traffic Navigation Estimated time: 0.00 hour

Target version:    

Description

Line following should be callable like wireless - once per loop, call

followline(int speed)

And line following should quickly take care of the rest.

We should also include a function to turn 180 degrees on a line.

History

#1 - 11/01/2010 07:28 PM - John Sexton

- Assignee changed from Ben Wasserman to Dan Jacobs

#2 - 11/12/2010 05:18 PM - Dan Jacobs

- Status changed from Assigned to Worksforme

- % Done changed from 0 to 50

- Estimated time set to 200.00 h

updated

#3 - 11/12/2010 05:19 PM - Ben Wasserman

- Status changed from Worksforme to Assigned

- Priority changed from Normal to High

#4 - 11/12/2010 05:22 PM - Dan Jacobs

- Assignee changed from Dan Jacobs to Ben Wasserman

- Priority changed from High to Urgent

#5 - 11/12/2010 11:43 PM - John Sexton

- Priority changed from Urgent to High

Dan Jacobs will update with how line following was implemented (including how U-turns was implemented and how turning was implemented).

#6 - 11/16/2010 12:55 AM - John Sexton

- % Done changed from 50 to 70

- Estimated time deleted (200.00 h)

Created a new branch called linefollowing. Will use this to incorporate it into the library and then merge back into trunk.

Dan Jacobs will merge linefollowing files into one file. Then we need to move it into projects/libdragonfly folder and test it.
